2011-09-01 01:55:02 2012-02-02 05:06:16

Directory traversal vulnerability in soup-uri.c in SoupServer in libsoup before 2.35.4 allows remote attackers to read arbitrary files via a %2e%2e (encoded dot dot) in a URI.

Vector

NETWORK

Complexity

LOW

Authentication

NONE

Confidentiality

PARTIAL

Integrity

NONE

Availability

NONE
Gnome Libsoup 2.26.0 (not an official CPE) Gnome Libsoup 2.26.1 (not an official CPE) Gnome Libsoup 2.2.102 (not an official CPE) Gnome Libsoup 2.2.101 (not an official CPE) Gnome Libsoup 2.2 (not an official CPE) Gnome Libsoup 2.2.100 (not an official CPE) Gnome Libsoup 2.0 (not an official CPE) Gnome Libsoup 2.2.104 (not an official CPE) Gnome Libsoup 2.2.103 (not an official CPE) Gnome Libsoup 2.2.94 (not an official CPE) Gnome Libsoup 2.27.4 (not an official CPE) Gnome Libsoup 2.2.93 (not an official CPE) Gnome Libsoup 2.3.0.1 (not an official CPE) Gnome Libsoup 2.2.92 (not an official CPE) Gnome Libsoup 2.27.2 (not an official CPE) Gnome Libsoup 2.2.91 (not an official CPE) Gnome Libsoup 2.27.1 (not an official CPE) Gnome Libsoup 2.27.5 (not an official CPE) Gnome Libsoup 2.27.92 (not an official CPE) Gnome Libsoup 2.27.90 (not an official CPE) Gnome Libsoup 2.27.91 (not an official CPE) Gnome Libsoup 2.23.1 (not an official CPE) Gnome Libsoup 2.33.4 (not an official CPE) Gnome Libsoup 2.33.5 (not an official CPE) Gnome Libsoup 2.2.6.1 (not an official CPE) Gnome Libsoup 2.31.2 (not an official CPE) Gnome Libsoup 2.2.99 (not an official CPE) Gnome Libsoup 2.2.96 (not an official CPE) Gnome Libsoup 2.2.97 (not an official CPE) Gnome Libsoup 2.2.98 (not an official CPE) Gnome Libsoup 2.33.92 (not an official CPE) Gnome Libsoup 2.33.90 (not an official CPE) Gnome Libsoup 2.30.0 (not an official CPE) Gnome Libsoup 2.29.90 (not an official CPE) Gnome Libsoup 2.29.91 (not an official CPE) Gnome Libsoup 2.24.0.1 (not an official CPE) Gnome Libsoup 2.35.3 (not an official CPE) Gnome Libsoup 2.33.6 (not an official CPE) Gnome Libsoup 2.30.1 (not an official CPE) Gnome Libsoup 2.34.0 (not an official CPE) Gnome Libsoup 2.23.6 (not an official CPE) Gnome Libsoup 2.2.3 (not an official CPE) Gnome Libsoup 2.2.2 (not an official CPE) Gnome Libsoup 2.2.1 (not an official CPE) Gnome Libsoup 2.2.0 (not an official CPE) Gnome Libsoup 2.25.91 (not an official CPE) Gnome Libsoup 2.3.2 (not an official CPE) Gnome Libsoup 2.25.3 (not an official CPE) Gnome Libsoup 2.25.4 (not an official CPE) Gnome Libsoup 2.25.5 (not an official CPE) Gnome Libsoup 2.3.4 (not an official CPE) Gnome Libsoup 2.2.7 (not an official CPE) Gnome Libsoup 2.2.6 (not an official CPE) Gnome Libsoup 2.2.5 (not an official CPE) Gnome Libsoup 2.2.4 (not an official CPE) Gnome Libsoup 2.2.95.1 (not an official CPE) Gnome Libsoup 2.25.2 (not an official CPE) Gnome Libsoup 2.23.92 (not an official CPE) Gnome Libsoup 2.24.1 (not an official CPE) Gnome Libsoup 2.23.91 (not an official CPE) Gnome Libsoup 2.31.92 (not an official CPE) Gnome Libsoup 2.32.1 (not an official CPE) Gnome Libsoup 2.32.2 (not an official CPE) Gnome Libsoup 2.31.90 (not an official CPE) Gnome Libsoup 2.32.0 (not an official CPE) Gnome Libsoup 2.31.6 (not an official CPE) Gnome Libsoup 2.28.1 (not an official CPE) Gnome Libsoup 2.28.0 (not an official CPE) Gnome Libsoup 2.4.1 (not an official CPE) Gnome Libsoup 2.4.0 (not an official CPE) Gnome Libsoup 2.29.6 (not an official CPE) Gnome Libsoup 2.34.1 (not an official CPE) Gnome Libsoup 2.29.5 (not an official CPE) Gnome Libsoup 2.29.3 (not an official CPE)